#============================================================================
# perl_prog.mk

# "compile" *.pl files to *.  substitutes into *.pl.in to generate %.pl

# prerequisite: substitute_config_variables.mk
# prerequisite: perl_compile.mk

PERL_SUBST_DEPS = Makefile

# substitution rule
%.pl : %.pl.in $(PERL_SUBST_DEPS)
	p="$@"; f=$(strip_dir) \
	$(do_subst) $(srcdir)/$$f.in > $$f || { rm $$f ; false ; }

# "compilation" rule. add "./" to path if $@ has no directory. workaround
# for bug in FindBin which doesn't handle bare filenames correctly,
# even if they are executables
% : %.pl Makefile
	cp $< $@
	chmod +x $@
	p="$@"; pp="$@" ; f=$(strip_dir) \
	test "$$p" = "$$f" && pp="./$$pp" ; \
	$(PERL_COMPILE) $$pp || { rm $@; false ; }
